// @codingStandardsIgnoreStart
'use strict';

/* READY
 ***************************************************/

document.addEventListener('DOMContentLoaded', function () {

    /*MOBILE MENU*/
    {
        if (window.matchMedia('( max-width: 991px )').matches) {
            jQuery('.theme-primary-menu').goto_menu({
                resizeWidth: '991',
                initiallyVisible: false,
                animSpeed: 'fast',
                easingEffect: 'linear'
            });
        }
    }

    /*SCROLL TO TOP*/
    var scrollToTop = function scrollToTop() {
        var _scroll = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

        var _click = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

        var scrollId = jQuery('#scroll-to-top');
        if (!scrollId) return;

        if (true == _click) {
            jQuery(scrollId).on('click', function () {
                return jQuery('html, body').animate({ scrollTop: 0 }, 300);
            });
        }

        if (true == _scroll) {
            if (jQuery(window).scrollTop() > 200) {
                jQuery(scrollId).addClass('visible');
            } else {
                jQuery(scrollId).removeClass('visible');
            }
        }
    };

    /* LOAD
     ***************************************************/
    window.addEventListener('load', function () {
        /*DIALOG SEARCH*/
        var dialogSearch = function () {
            var _btn = document.getElementById('theme-search-btn'),
                _form = document.getElementById('theme-search-form'),
                _overlay = document.getElementById('theme-search-form-overlay'),
                _close = function _close() {
                _form.classList.remove('dialog-open');
                _form.classList.add('dialog-close');
            };

            if (!_btn || !_form || !_overlay) return;

            /*OPEN DIALOG SEARCH*/
            _btn.addEventListener('click', function () {
                _form.classList.add('dialog-open');
                _form.classList.remove('dialog-close');

                if (window.matchMedia('screen and ( min-width: 992px )').matches) {
                    _form.getElementsByTagName('input')[0].focus();
                }
            });

            /*CLICK TO OVERLAY TO CLOSE DIALOG SEARCH*/
            _overlay.addEventListener('click', function () {
                _close();
            });

            /*HIT `ESC` KEY TO CLOSE DIALOG SEARCH*/
            document.body.addEventListener('keyup', function (e) {
                if (27 === e.keyCode) _close();
            });

            if (window.matchMedia('screen and ( max-width: 600px )').matches) {
                window.addEventListener('scroll', function () {
                    var _offset = undefined !== window.pageYOffset ? window.pageYOffset : (document.documentElement || document.body.parentNode || document.body).scrollTop;

                    if (_offset > 46) {
                        document.body.classList.add('document-scrolled');
                    } else {
                        document.body.classList.remove('document-scrolled');
                    }
                });
            }
        }();

        /*PRELOADER*/
        var preloader = function () {
            var _loader = document.getElementById('preloader');
            if (!_loader) return;

            _loader.classList.remove('loading');
        }();

        /*MEGAMENU ON DESKTOP*/
        var megaMenu = function () {
            var _item = document.getElementsByClassName('mega-menu-row'),
                _media = window.matchMedia('( min-width: 992px )').matches;
            if (!_item && !_media) return;

            var _ml = _item.length;
            for (var i = 0; i < _ml; i++) {
                var _col = _item[i].getElementsByClassName('mega-menu-col').length,
                    _aTag = _item[i].previousElementSibling,
                    _rect = _aTag.getBoundingClientRect(),
                    _ww = document.body.clientWidth,
                    _right = _ww - _rect.right,
                    _parent = _item[i].parentNode,
                    _class = '';

                switch (_col) {
                    case 1:
                        _class = _right >= 250 ? 'submega-in-left' : 'submega-in-right';
                        _parent.classList.add('mega-1-col', _class);
                        break;
                    case 2:
                        _class = _right >= 450 ? 'submega-in-left' : 'submega-in-right';
                        _parent.classList.add('mega-2-col', _class);
                        break;
                    case 3:
                        _class = _right >= 725 ? 'submega-in-left' : 'submega-in-right';
                        _parent.classList.add('mega-3-col', _class);
                        break;
                    default:
                        _parent.classList.add('mega-standard');
                        break;
                }
            }
        }();

        /*SCROLL TO TOP - CLICK ACTION*/
        scrollToTop(false, true);
    });

    /* SCROLL
    ***************************************************/
    window.addEventListener('scroll', function () {

        /*PARALLAX PAGE HEADER*/
        var parallax = function () {
            if (!window.matchMedia("( min-width: 992px )").matches) return;

            var _p = document.getElementById('page-header-parallax');

            if (!_p) return;

            var _s = window.pageYOffset / _p.getAttribute('data-speed'),
                _o = '0% -' + _s + 'px';

            _p.style.backgroundPosition = _o;
        }();

        /*SCROLL TO TOP - SCROLL ACTION*/
        scrollToTop(true, false);
    });
});