// @codingStandardsIgnoreStart
'use strict';

document.addEventListener('DOMContentLoaded', function () {
    /* GENERAL
    ***********************************************************************************************/

    /*GET PARAMS OF URL FOR PRINT REMOVE KEY FILTER*/
    var strParams = window.location.search.slice(1),
        content_arr = '[',
        separator = strParams.split('&'),
        sepaLength = separator.length,
        _arr = [];

    var find = function find(str, name) {
        var s = str.indexOf(name),
            k = str.slice(s),
            t = k.indexOf('&');

        if (s < 0) return '';

        if (t < 0) {
            return str.slice(s + name.length + 1);
        } else {
            return str.slice(s + name.length + 1, s + t);
        }
    };

    var mnDay = find(strParams, 'min_days'),
        mxDay = find(strParams, 'max_days'),
        mnPrice = find(strParams, 'min_price'),
        mxPrice = find(strParams, 'max_price');

    if (strParams) {
        for (var i = 0; i < sepaLength; i++) {
            var _eval = separator[i].split('=');
            switch (_eval[0]) {
                case 'destination':
                    var inputDest = document.getElementById('filter-by-destinations').getElementsByTagName('input'),
                        ipdlength = inputDest.length;

                    for (var ipd = 0; ipd < ipdlength; ipd++) {
                        if (_eval[1] == inputDest[ipd].getAttribute('data-id')) {
                            content_arr += '{"name": "tour-list-dest", "value": "on", "title": "' + inputDest[ipd].getAttribute('data-name') + '", "id": "' + _eval[1] + '", "min": null, "max": null},';
                        }
                    }
                    break;
                case 'category':
                    var inputCat = document.getElementById('filter-by-category').getElementsByTagName('input'),
                        ipclength = inputCat.length;

                    for (var ipc = 0; ipc < ipclength; ipc++) {
                        if (_eval[1] == inputCat[ipc].getAttribute('data-id')) {
                            content_arr += '{"name": "tour-list-cat", "value": "on", "title": "' + inputCat[ipc].getAttribute('data-name') + '", "id": "' + _eval[1] + '", "min": null, "max": null},';
                        }
                    }
                    break;
                case 'rating':
                    var inputRating = document.getElementById('filter-by-rating').getElementsByTagName('input');

                    for (var ir = 0, jr = inputRating.length; ir < jr; ir++) {
                        if (_eval[1] == inputRating[ir].getAttribute('data-id')) {
                            content_arr += '{"name": "tour-list-rating", "value": "on", "title": "' + inputRating[ir].getAttribute('data-name') + '", "id": "' + _eval[1] + '", "min": null, "max": null},';
                        }
                    }
                    break;
                case 'start_date':
                    content_arr += '{"name": "date", "value": "' + _eval[1] + '", "title": null, "id": null, "min": null, "max": null},';
                    break;
                case 'keywords':
                    content_arr += '{"name": "keywords", "value": "' + _eval[1] + '", "title": null, "id": null, "min": null, "max": null},';
                    break;
                case 'avaibility':
                    content_arr += '{"name": "avaibility", "value": "' + _eval[1] + '", "title": null, "id": null, "min": null, "max": null},';
                    break;
                case 'orderby':
                    content_arr += '{"name": "orderby", "value": "' + _eval[1] + '", "title": null, "id": null, "min": null, "max": null},';
                    break;
                case 'view_type':
                    content_arr += '{"name": "view_type", "value": "' + _eval[1] + '", "title": null, "id": null, "min": null, "max": null},';
                    break;
            }
        }

        if ('' != mnDay && '' != mxDay) content_arr += '{"name": "days", "value": "' + mnDay + ' - ' + mxDay + '", "title": null, "id": null, "min": "' + mnDay + '", "max": "' + mxDay + '"},';

        if ('' != mnPrice && '' != mxPrice) content_arr += '{"name": "price", "value": "' + goto_ajax_data.unit + mnPrice + ' - ' + goto_ajax_data.unit + mxPrice + '", "title": null, "id": null, "min": "' + mnPrice + '", "max": "' + mxPrice + '"},';

        if ('[' != content_arr) content_arr = content_arr.slice(0, -1);
    }
    content_arr += ']';
    _arr = JSON.parse(content_arr);

    /*VARIABLE*/
    var _form = document.getElementById('tl-filter-form'),
        _search = document.getElementById('tour-list-keyword-field'),
        _input = _form.getElementsByTagName('input'),
        _shortBy = document.getElementById('tl-short-by-val'),
        _viewType = document.getElementById('tl-view-type-val'),
        _submit = document.getElementById('tl-form-submit'),


    /*PRICE SLIDER*/
    price_min = document.getElementById('tl-price-min'),
        price_max = document.getElementById('tl-price-max'),
        priceMinInput = document.getElementById('tl-price-minval'),
        priceMaxInput = document.getElementById('tl-price-maxval'),
        _price = void 0,


    /*DURATION DAYS SLIDER*/
    daysMin = document.getElementById('tl-days-min'),
        daysMax = document.getElementById('tl-days-max'),
        daysMinInput = document.getElementById('tl-days-minval'),
        daysMaxInput = document.getElementById('tl-days-maxval'),
        singleDay = document.getElementById('single-day'),
        pluralDay = document.getElementById('plural-day'),
        _days = void 0,


    /*FORM*/

    /*RIGHT LIST*/
    _mainList = document.getElementById('tour-list-content'),
        _listContent = document.getElementById('tl-list'),
        viewas = document.getElementsByClassName('tl-view-btn'),
        resultsCount = document.getElementById('tl-results-count'),
        sortBy = document.getElementById('tl-dropdown-sortby'),
        filterKey = document.getElementById('tl-filter-key');

    /*GET FORM VALUE*/
    var getFormValue = function getFormValue(form) {
        var i = void 0,
            field = void 0,
            length = form.elements.length,
            output = [];
        for (i = 0; i < length; i++) {
            field = form.elements[i];
            if (field.name && !field.disabled && 'reset' != field.type) {
                if ('radio' != field.type) {
                    output[output.length] = { name: field.name, value: field.value };
                } else if ('radio' == field.type && field.checked) {
                    if ('tour-list-dest' == field.name) {
                        output[output.length] = { name: field.name, value: field.value, id: field.getAttribute('data-id'), type: 'dest' };
                    } else if ('tour-list-cat' == field.name) {
                        output[output.length] = { name: field.name, value: field.value, id: field.getAttribute('data-id'), type: 'cat' };
                    } else if ('tour-list-rating' == field.name) {
                        output[output.length] = { name: field.name, value: field.value, id: field.getAttribute('data-id'), type: 'rating' };
                    }
                }
            }
        }
        return output;
    };

    /*GET DEFAULT FORM VALUE FOR FORM RESET EVENT*/
    var originFormValue = getFormValue(_form);

    /*SCROLL TO TOP WHEN CLICK TO PAGINATION*/
    var scrollToTop = function scrollToTop(element, to, duration) {
        var difference = to - element.scrollTop,
            perTick = difference / duration * 10;

        setTimeout(function () {
            element.scrollTop = element.scrollTop + perTick;
            if (element.scrollTop == to) return;
            scrollToTop(element, to, duration - 10);
        }, 10);
    };

    /* AJAX MAIN FUNCTION
    ***************************************************/
    var inputEvent = function inputEvent(formValue) {

        var xhr = new XMLHttpRequest();

        _mainList.classList.add('loading');

        xhr.open('post', goto_ajax.url);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');

        xhr.addEventListener('readystatechange', function () {
            if (4 == xhr.readyState) {
                var data = JSON.parse(xhr.responseText);

                keyRemove(_arr);
                clearKey();

                switch (data.status) {
                    case 200:
                        resultsCount.innerHTML = data.count_result;
                        _listContent.innerHTML = data.content;
                        _mainList.className = 'tour-view-' + data.view_type;
                        _mainList.classList.remove('loading');

                        /*PAGINATION*/
                        pagiAjax(false);
                        break;

                    default:
                        resultsCount.innerHTML = data.message;
                        _listContent.innerHTML = data.message;
                        _mainList.classList.remove('loading');
                        break;
                }
            }
        });

        xhr.addEventListener('error', function () {
            return alert('Something went wrong. Please refresh the page and try again later!');
        });

        xhr.send('action=tl_filter&tour_nonce=' + goto_ajax_data.tour_nonce + '&formvalue=' + JSON.stringify(formValue));
    };

    /* LEFT FORM FILTER
    ***********************************************************************************************/

    /*RESET PRICE SLIDER*/
    var priceReset = function priceReset() {
        /*SLIDER VIEW*/
        _price.move({
            left: parseInt(goto_ajax_data.min_price),
            right: parseInt(goto_ajax_data.max_price)
        });

        /*UPDATE INPUT VALUE*/
        priceMinInput.value = goto_ajax_data.min_price;
        priceMaxInput.value = goto_ajax_data.max_price;
    };

    /*RESET DURATION DAYS SLIDER*/
    var daysReset = function daysReset() {
        /*SLIDER VIEW*/
        _days.move({
            left: parseInt(goto_ajax_data.min_days),
            right: parseInt(goto_ajax_data.max_days)
        });

        /*UPDATE INPUT VALUE*/
        daysMinInput.value = goto_ajax_data.min_days;
        daysMaxInput.value = goto_ajax_data.max_days;
    };

    /*EXPAND BUTTON*/
    var expandBtn = function () {
        var btn = document.getElementsByClassName('filter-expand');
        if (!btn.length) return;

        var _loop = function _loop(_i) {
            btn[_i].addEventListener('click', function () {
                return btn[_i].parentNode.classList.add('expanded');
            }, { once: true });
        };

        for (var _i = 0; _i < btn.length; _i++) {
            _loop(_i);
        }
    }();

    /*RESET PAGED QUERY*/
    var pagedReset = function pagedReset() {
        document.getElementById('tl-paged-val').value = 1;
    };

    /*PRICE + DURATION DAYS SLIDER*/
    _days = new Slider(document.getElementById('tl-days-slider'), {
        isDate: false,
        min: parseInt(goto_ajax_data.min_days),
        max: parseInt(goto_ajax_data.max_days),
        start: parseInt(goto_ajax_data.days_start),
        end: parseInt(goto_ajax_data.days_end),
        overlap: true
    });

    var formatUSD = function formatUSD(n) {
        return n;
    };
    _price = new Slider(document.getElementById('tl-price-slider'), {
        isDate: false,
        min: parseInt(goto_ajax_data.min_price),
        max: parseInt(goto_ajax_data.max_price),
        start: parseInt(goto_ajax_data.price_start),
        end: parseInt(goto_ajax_data.price_end),
        overlap: true,
        callbackFunction: formatUSD
    });

    price_min.innerHTML = Math.round(_price.getInfo().left);
    price_max.innerHTML = Math.round(_price.getInfo().right);

    _price.subscribe('moving', function (data) {
        price_min.innerHTML = Math.round(data.left);
        price_max.innerHTML = Math.round(data.right);
    });

    /*GET VALUE WHEN INPUT CHANGE*/
    var zlen = _input.length;
    var getKeyValue = function getKeyValue(elx, idx, namex, valuex, titlex) {
        var min = arguments.length > 5 && arguments[5] !== undefined ? arguments[5] : null;
        var max = arguments.length > 6 && arguments[6] !== undefined ? arguments[6] : null;

        var found = _arr.filter(function (obj) {
            return namex == obj.name;
        });
        if (found.length < 1) {
            elx.name = namex;
            elx.value = valuex;
            elx.title = titlex;
            elx.id = idx;
            elx.min = min;
            elx.max = max;
            _arr.push(elx);
        } else {
            var updateKey = _arr.find(function (p) {
                return namex == p.name;
            });
            updateKey.name = namex;
            updateKey.id = idx;
            updateKey.title = titlex;
            updateKey.value = valuex;
            updateKey.min = min;
            updateKey.max = max;
        }
    };
    /*END*/

    _price.subscribe('stop', function (data) {
        priceMinInput.value = Math.round(data.left);
        priceMaxInput.value = Math.round(data.right);

        pagedReset();
        _submit.click();

        var el1 = {},
            value = '' + goto_ajax_data.unit + priceMinInput.value + ' - ' + ('' + goto_ajax_data.unit) + priceMaxInput.value;

        getKeyValue(el1, null, 'price', value, null, priceMinInput.value, priceMaxInput.value);

        scrollToTop(document.documentElement, _mainList.offsetTop, 200);
    });

    daysMin.innerHTML = Math.round(_days.getInfo().left);
    daysMax.innerHTML = Math.round(_days.getInfo().right);

    _days.subscribe('moving', function (data) {
        daysMin.innerHTML = Math.round(data.left);
        daysMax.innerHTML = Math.round(data.right);

        singleDay.innerHTML = Math.round(data.left) > 1 ? goto_ajax_data.max_days_txt : goto_ajax_data.min_days_txt;
        pluralDay.innerHTML = Math.round(data.right) > 1 ? goto_ajax_data.max_days_txt : goto_ajax_data.min_days_txt;
    });

    _days.subscribe('stop', function (data) {
        daysMinInput.value = Math.round(data.left);
        daysMaxInput.value = Math.round(data.right);

        pagedReset();
        _submit.click();

        var el2 = {},
            value = daysMinInput.value + ' - ' + daysMaxInput.value;

        getKeyValue(el2, null, 'days', value, null, daysMinInput.value, daysMaxInput.value);

        scrollToTop(document.documentElement, _mainList.offsetTop, 200);
    });

    /*RADIO INPUT || DATE PICKER CHANGE*/

    var _loop2 = function _loop2(z) {
        _input[z].addEventListener('change', function () {
            if ('keywords' == _input[z].name) {
                return;
            }

            pagedReset();
            _submit.click();

            var _name = _input[z].name,
                _value = _input[z].value,
                _title = _input[z].getAttribute('data-name'),
                _id = _input[z].getAttribute('data-id');

            switch (_name) {
                case 'tour-list-cat':
                    var el3 = {};
                    getKeyValue(el3, _id, _name, _value, _title);
                    break;
                case 'tour-list-dest':
                    var el4 = {};
                    getKeyValue(el4, _id, _name, _value, _title);
                    break;
                case 'date':
                    var el5 = {};
                    getKeyValue(el5, _id, _name, _value, _title);
                    break;
                case 'tour-list-rating':
                    var el6 = {};
                    getKeyValue(el6, _id, _name, _value, _title);
                    break;
            }

            scrollToTop(document.documentElement, _mainList.offsetTop, 200);
        });
    };

    for (var z = 0; z < zlen; z++) {
        _loop2(z);
    }

    /*SET DELAY TIME FOR FILTER BY KEYWORDS*/
    var searchDelay = function () {
        var timer = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
        return function (callback, ms) {
            clearTimeout(timer);
            timer = setTimeout(callback, ms);
        };
    }();
    _search.addEventListener('keyup', function () {
        searchDelay(function () {
            pagedReset();
            _submit.click();

            var _name = _search.name,
                _value = _search.value,
                kw = {};

            getKeyValue(kw, null, _name, _value, null);
        }, 1000);
    });

    /*SUBMIT FORM*/
    _form.addEventListener('submit', function (e) {
        e.preventDefault();
        inputEvent(getFormValue(_form));
    });

    /*RESET FORM*/
    _form.addEventListener('reset', function () {
        daysReset();
        priceReset();

        /*RESET FORM VALUE*/
        inputEvent(originFormValue);
    });

    /* RIGHT CONTENT
    ***********************************************************************************************/

    /*CHANGE VIEW TYPE*/

    var _loop3 = function _loop3(p) {
        viewas[p].addEventListener('click', function () {
            var el6 = {};
            getKeyValue(el6, null, 'view_type', viewas[p].getAttribute('data-view'), null);

            viewas[p].classList.add('active');

            if (null == viewas[p].nextElementSibling) {
                viewas[p].previousElementSibling.classList.remove('active');
            } else {
                viewas[p].nextElementSibling.classList.remove('active');
            }
            _viewType.value = viewas[p].getAttribute('data-view');
            _submit.click();
        });
    };

    for (var p = 0; p < 2; p++) {
        _loop3(p);
    }

    /*CHANGE SORT BY*/
    sortBy.addEventListener('change', function () {
        var el7 = {};
        getKeyValue(el7, null, 'orderby', sortBy.value, null);

        _shortBy.value = sortBy.value;
        _submit.click();
    });

    /*PRINT REMOVE KEY AFTER USER CLICK FILTER*/
    var keyRemove = function keyRemove(_array) {
        if (!_array.length) {
            return;
        }

        var output = '';

        for (var k in _array) {
            if (null != _array[k].value && '' != _array[k].value) {
                switch (_array[k].name) {
                    case 'tour-list-dest':
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_dest + _array[k].title + '<button data-id="tour-list-dest" class="ion-close"></button></span>';
                        break;
                    case 'tour-list-cat':
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_cat + _array[k].title + '<button data-id="tour-list-cat" class="ion-close"></button></span>';
                        break;
                    case 'tour-list-rating':
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_rating + _array[k].title + '<button data-id="tour-list-rating" class="ion-close"></button></span>';
                        break;
                    case 'days':
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_duration_date + _array[k].value + '<button data-id="days" class="ion-close"></button></span>';
                        break;
                    case 'price':
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_price + _array[k].value + '<button data-id="price" class="ion-close"></button></span>';
                        break;
                    case 'date':
                        var dateVal = decodeURIComponent(_array[k].value);
                        output += '<span class="tl-remove-key">' + goto_ajax_data.key_start_date + dateVal + '<button data-id="date" class="ion-close"></button></span>';
                        break;
                    case 'keywords':
                        var kw = decodeURIComponent(_array[k].value);
                        output += '<span class="tl-remove-key">' + goto_ajax_data.keywords + kw + '<button data-id="keywords" class="ion-close"></button></span>';
                        break;
                    case 'avaibility':
                        if (_array[k].value > 0) output += '<span class="tl-remove-key">' + goto_ajax_data.avaibility + _array[k].value + '<button data-id="avaibility" class="ion-close"></button></span>';
                        break;
                }
            }
        }

        if (output) {
            output += '<button id="clear-all-key">' + goto_ajax_data.clear + '</button>';
            filterKey.classList.add('active');
            filterKey.innerHTML = output;
        } else {
            filterKey.classList.remove('active');
            filterKey.innerHTML = '';
        }
    };

    /*CLEAR ALL KEY*/
    var clearKey = function clearKey() {
        /*CLEAR ALL FILTER KEY*/
        var clearAllKey = document.getElementById('clear-all-key');

        if (null != clearAllKey) {
            clearAllKey.onclick = function () {
                pagedReset();
                for (var _i2 in _arr) {
                    _arr[_i2].value = null;
                }
                var iput = _form.getElementsByTagName('input');
                for (var r = 0; r < iput.length; r++) {
                    if ('radio' == iput[r].type) {
                        iput[r].removeAttribute('checked');
                    }
                    if ('date' == iput[r].name || 'keywords' == iput[r].name) {
                        iput[r].setAttribute('value', '');
                    }
                }
                document.getElementById('tl-form-reset').click();
                _submit.click();
            };
        }

        var _loop4 = function _loop4(s) {
            var btn = filterKey.getElementsByTagName('button');

            var _loop5 = function _loop5(k) {
                /*CLEAR CURRENT KEY*/
                btn[k].addEventListener('click', function () {
                    if (_arr[s].name == btn[k].getAttribute('data-id')) {
                        _arr[s].value = null;
                        switch (_arr[s].name) {
                            case 'tour-list-dest':
                                document.getElementById('dest-id-' + _arr[s].id).checked = false;
                                break;
                            case 'tour-list-cat':
                                document.getElementById('cat-id-' + _arr[s].id).checked = false;
                                break;
                            case 'tour-list-rating':
                                document.getElementById('tl-tour-rating-' + _arr[s].id).checked = false;
                                break;
                            case 'date':
                                document.getElementById('tour-list-date-field').value = '';
                                break;
                            case 'days':
                                daysReset();
                                break;
                            case 'price':
                                priceReset();
                                break;
                            case 'keywords':
                                document.getElementById('tour-list-keyword-field').value = '';
                                break;
                            case 'avaibility':
                                document.getElementById('tl-avaibility-val').value = '';
                                break;
                        }
                        pagedReset();
                        _submit.click();
                    }
                });
            };

            for (var k = 0; k < btn.length; k++) {
                _loop5(k);
            }
        };

        for (var s in _arr) {
            _loop4(s);
        }

        var skt = '';
        for (var p in _arr) {
            if (null != _arr[p].value && '' != _arr[p].value) {
                switch (_arr[p].name) {
                    case 'tour-list-dest':
                        skt += 'destination=' + _arr[p].id + '&';
                        break;
                    case 'tour-list-cat':
                        skt += 'category=' + _arr[p].id + '&';
                        break;
                    case 'tour-list-rating':
                        skt += 'rating=' + _arr[p].id + '&';
                        break;
                    case 'days':
                        skt += 'min_days=' + _arr[p].min + '&max_days=' + _arr[p].max + '&';
                        break;
                    case 'price':
                        skt += 'min_price=' + _arr[p].min + '&max_price=' + _arr[p].max + '&';
                        break;
                    case 'date':
                        skt += 'start_date=' + _arr[p].value + '&';
                        break;
                    case 'orderby':
                        skt += 'orderby=' + _arr[p].value + '&';
                        break;
                    case 'view_type':
                        skt += 'view_type=' + _arr[p].value + '&';
                        break;
                    case 'keywords':
                        skt += 'keywords=' + _arr[p].value + '&';
                        break;
                    case 'avaibility':
                        skt += 'avaibility=' + _arr[p].value + '&';
                        break;
                }
            }
        }

        if (skt) {
            var urlP = skt.slice(0, -1);
            history.pushState(null, null, '?' + urlP);
        } else {
            history.pushState(null, null, window.location.pathname);
        }
    };
    if (_arr.length > 0) {
        keyRemove(_arr);
        clearKey();
    }

    /*PAGINATION AJAX*/
    var pagiAjax = function pagiAjax() {
        var no_ajax = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;

        var pagi = document.getElementsByClassName('page-numbers'),
            plen = pagi.length;

        if (null == pagi) return;

        if (plen) {
            var _loop6 = function _loop6(a) {
                pagi[a].addEventListener('click', function (e) {
                    e.preventDefault();
                    if ('A' == pagi[a].nodeName) {

                        scrollToTop(document.documentElement, _mainList.offsetTop, 200);

                        var _number = '';
                        if (true == no_ajax) {
                            _number = pagi[a].hash.replace(/\D/g, '');
                        } else {
                            _number = pagi[a].getAttribute('href').replace(/\D/g, '');
                        }
                        document.getElementById('tl-paged-val').value = _number ? _number : 1;
                        _submit.click();
                    }
                });
            };

            for (var a = 0; a < plen; a++) {
                _loop6(a);
            };
        }
    };
    pagiAjax();
});